This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451835 - (CVE-2008-2727) CVE-2008-2727 ruby: integer overflow in rb_ary_replace() (ruby-1.6.x) - REALLOC_N
CVE-2008-2727 ruby: integer overflow in rb_ary_replace() (ruby-1.6.x) - REALL...
Status: CLOSED DUPLICATE of bug 451821
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20080605,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 14:05 EDT by Tomas Hoger
Modified: 2016-03-04 06:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 02:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-17 14:05:09 EDT
Drew Yao of the Apple Product Security team reported an integer overflow leading
to a memory mis-allocation and heap overflow in the rb_ary_splice() function
used by ruby interpreter for handling arrays.  For details, see:

  https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2008-2725

Ruby 1.6.x does not have rb_ary_splice(), but the same vulnerable code exists in
the rb_ary_replace() function.  This issue is a ruby 1.6.x equivalent of
CVE-2008-2725.
Comment 1 Tomas Hoger 2008-06-17 14:06:15 EDT
Drew Yao's patch for rb_ary_splice():

  https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2008-2725#c1
Comment 5 Tomas Hoger 2008-07-01 02:58:54 EDT
Based on the analysis noted in the:

  https://bugzilla.redhat.com/show_bug.cgi?id=451821#c12

it was decided to reject this CVE id and use only CVE-2008-2725 to cover this
issue in all ruby versions.

*** This bug has been marked as a duplicate of 451821 ***

Note You need to log in before you can comment on or make changes to this bug.